# Mod Stations

These are pre-configured mods menu with whitelisted jobs. These can be really usefull for police and ems jobs or other jobs that you find suitable.

```lua
Config.ModStations = {
	Interact = {keybind = 38, dist = 1.2, drawDist = 7.0, textUi = '[E] Mods Menu', icon = 'spray-can', position = 'right-center', style = {borderRadius = 0, backgroundColor = '#48BB78', color = 'white'}},
	Blip = {name = 'Mod Station', sprite = 72, display = 4, scale = 0.65, color = 0},
	Marker = {type = 20, scale = {0.35, 0.35, 0.35}, rgba = {255, 99, 71, 100}},
	Locations = {
		{ -- mrpd
			pos = vector3(478.68, -1022.33, 28.01), -- pos of the mod station
			jobs = {'police', 'lspd', 'test'}, -- allowed jobs
			mods = {'respray', 'bodyworks', 'chassis', 'enginebay', 'exterior', 'interior', 'lights', 'wheels', 'performance'},
			free = true, -- free of charge?
			blip = true -- enable/disable blip
		}, 
		{ -- pillbox
			pos = vector3(344.53, -554.79, 28.74), -- pos of the mod station
			jobs = {'ambulance', 'ems', 'medic', 'doc'}, -- allowed jobs
			mods = {'respray', 'bodyworks', 'chassis', 'enginebay', 'exterior', 'interior', 'lights', 'wheels', 'performance'},
			free = true, -- free of charge?
			blip = true -- enable/disable blip
		}, 
	}
}
```

* **Interact:** `table`
  * settings to interact with marker/keypress
* **Blip:** `table`
  * blip settings for mod stations
* **Marker:** `table`
  * marker settings for mod stations
* **Locations:** `table`
  * pos: `vector3` - coords for the mod station
  * jobs: `array` - allowed jobs that can accesss
  * mods: `array` - allowed mod categories
  * free: `boolean` - all mods are free?
  * blip: `boolean` - enable/disable blip

You can easily add more mod stations inside .Locations. Make sure to follow the template!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-tuning-system/guides/mod-stations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
